%define oname async_rpc_kernel

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 3
Summary:        Platform-independent core of Async RPC library

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-async_kernel-devel >= 1:0.13
BuildRequires:  ocaml-core_kernel-devel >= 0.13
BuildRequires:  ocaml-ppx_jane-devel >= 1:0.13
BuildRequires:  ocaml-protocol_version_header-devel >= 0.13
BuildRequires:  ocaml-migrate-parsetree-devel >= 1.0
BuildRequires:  ocaml-ppxlib-devel >= 0.1.0
BuildRequires:  ocaml-result-devel

%description
Platform-independent core of Async RPC library

Part of Jane Street's Core library
The Core suite of libraries is an industrial strength alternative to
OCaml's standard library that was developed by Jane Street, the
largest industrial user of OCaml.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/dune-package
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt*
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-3.mga8
+ Revision: 1670836
- Rebuild to generate ocamlx provides

* Sat Feb 29 2020 umeabot <umeabot> 1:0.13.0-2.mga8
+ Revision: 1552400
- Rebuild for ocaml 4.10.0 final
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Update to 0.13.0

* Wed Oct 24 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1325138
- Update to 0.11.0

* Sun Sep 30 2018 daviddavid <daviddavid> 1:0.10.0-5.mga7
+ Revision: 1312639
- rebuild against ocaml-sexplib

* Fri Sep 28 2018 umeabot <umeabot> 1:0.10.0-4.mga7
+ Revision: 1310505
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1242235
- rebuild for ocaml-sexplib

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1242061
- rebuild against current ocaml stack
- enable debug package as it should

* Tue Jan 16 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193941
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Wed Feb 24 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 978732
- imported package ocaml-async_rpc_kernel

